package italo.comecome.thread;

import italo.comecome.personagem.PersonagemIT;

public class ThreadPersonagem extends Thread {

	private PersonagemIT personagem;
	
	public ThreadPersonagem(PersonagemIT personagem) {
		this.personagem = personagem;
	}
	
	public void run() {
		personagem.executar();
	}
	
	public synchronized void esperar() {
		try {
			super.wait();
		} catch (InterruptedException e) {
			
		}
	}
	
	public synchronized void notificar() {
		super.notify();
	}

	
}
