package italo.comecome.thread;

import italo.comecome.logica.FaseIT;

public class ThreadFase extends Thread{
	
	private FaseIT fase;
	
	public ThreadFase(FaseIT fase) {
		this.fase = fase;
	}
	
	public void run() {
		fase.executar();
	}
			
	public synchronized void esperar() {
		try {
			super.wait();
		} catch (InterruptedException e) {
			
		}
	}
	
	public synchronized void notificar() {
		super.notify();
	}

}
